from django.contrib.auth.decorators import login_required
from django.utils.decorators import method_decorator
from django.views.generic.base import View
from django.http import JsonResponse

from .registers import recipient_register


RECIPIENTS_LIMIT = 10


@method_decorator(login_required, name="dispatch")
class MessageRecipientsAjaxView(View):
    """ """

    def get(self, request, *args, **kwargs):
        """ """
        query = request.GET.get('q', '')
        group_pk = request.GET.get('group_pk', None)
        recipients = recipient_register.search(
            request.user, query=query, group_object_id=group_pk,
            limit=RECIPIENTS_LIMIT)
        return JsonResponse(recipients, safe=False)
