# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-02-14 12:22
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields
import evotemailings.mixins


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('evotemessages', '0004_auto_20170124_1719'),
    ]

    operations = [
        migrations.CreateModel(
            name='MessageContact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('namespace', models.CharField(db_index=True, max_length=64)),
                ('name', models.CharField(max_length=128, null=True, verbose_name='name')),
                ('email', models.EmailField(max_length=128, null=True, verbose_name='email')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'message contact',
                'verbose_name_plural': 'message contacts',
            },
            bases=(evotemailings.mixins.MailingListMixin, models.Model),
        ),
        migrations.RemoveField(
            model_name='message',
            name='anonymous_email',
        ),
        migrations.RemoveField(
            model_name='message',
            name='recipients',
        ),
        migrations.RemoveField(
            model_name='message',
            name='slug',
        ),
        migrations.AlterField(
            model_name='message',
            name='body',
            field=models.TextField(verbose_name='body'),
        ),
        migrations.AlterField(
            model_name='message',
            name='folder',
            field=models.PositiveSmallIntegerField(choices=[(0, 'Received'), (1, 'Sent'), (2, 'Archived')], default=1, verbose_name='folder'),
        ),
        migrations.AlterField(
            model_name='message',
            name='parent',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='siblings', to='evotemessages.Message', verbose_name='parent message'),
        ),
        migrations.AlterField(
            model_name='message',
            name='read_at',
            field=models.DateTimeField(blank=True, null=True, verbose_name='read at'),
        ),
        migrations.AlterField(
            model_name='message',
            name='sender',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='sent', to='evotemessages.MessageContact', verbose_name='sender'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='message',
            name='state',
            field=models.PositiveSmallIntegerField(choices=[(0, 'New'), (1, 'Read'), (2, 'Replied')], default=0, verbose_name='state'),
        ),
        migrations.AlterField(
            model_name='message',
            name='subject',
            field=models.CharField(max_length=260, verbose_name='subject'),
        ),
        migrations.AddField(
            model_name='message',
            name='recipient',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='evotemessages.MessageContact', verbose_name='recipient'),
        ),
        migrations.AlterIndexTogether(
            name='messagecontact',
            index_together=set([('user', 'namespace')]),
        ),
    ]
